Summary:            An implementation of the OAuth request-signing logic
Name:               python-oauthlib
Version:            3.2.2
Release:            3%{?dist}
License:            BSD
URL:                https://github.com/oauthlib/oauthlib
Source0:            https://github.com/oauthlib/oauthlib/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:          noarch

%description
OAuthLib is a generic utility which implements the logic of OAuth without
assuming a specific HTTP request object or web framework. Use it to graft
OAuth client support onto your favorite HTTP library, or provider support
onto your favourite web framework. If you are a maintainer of such a
library, write a thin veneer on top of OAuthLib and get OAuth support for
very little effort.

%package -n python3-oauthlib
Summary:            %{summary}

BuildRequires:      python3-devel python3-pytest

%description -n python3-oauthlib
OAuthLib is a generic utility which implements the logic of OAuth without
assuming a specific HTTP request object or web framework. Use it to graft
OAuth client support onto your favorite HTTP library, or provider support
onto your favourite web framework. If you are a maintainer of such a
library, write a thin veneer on top of OAuthLib and get OAuth support for
very little effort.

%pyproject_extras_subpkg -n python3-oauthlib rsa,signedtoken,signals

%prep
%autosetup -n oauthlib-%{version} -p1
sed -i "s/, 'pyjwt>=2.0.0,<3'//" setup.py
%generate_buildrequires
%pyproject_buildrequires -x rsa,signedtoken,signals

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oauthlib

%check
echo 'import pytest; __getattr__ = lambda _: pytest.skip("this test needs jwt")' > jwt.py
%pytest -rs --ignore tests/oauth2/rfc6749/clients/test_service_application.py \
            --ignore tests/oauth2/rfc6749/clients/test_web_application.py \
            --ignore tests/oauth2/rfc6749/clients/test_mobile_application.py \
            --ignore tests/oauth2/rfc6749/clients/test_legacy_application.py \
            --ignore tests/oauth2/rfc6749/clients/test_backend_application.py \
            --ignore tests/oauth2/rfc6749/test_parameters.py
rm jwt.py


%files -n python3-oauthlib -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 04 2023 jackeyji <jackeyji@tencent.com> - 3.2.2-1
- upgrade to 3.2.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.2.1-1
- package init.

